CHS_GET_VALUE2(3)

EXPERIMENTAL_FUNC
chs_get_value2 - Scan a channel object for a whitespace separated value.

SYNOPSIS
#include <karma_chs.h>

unsigned int chs_get_value2

(Channel channel, char *string, unsigned int length, flag *newline)

DESCRIPTION
This routine will scan a channel object for a whitespace separated value. '#' is the comment character.

channel
    The channel to read from.

string
    The buffer to write the value to.

length
    The size of the buffer (in bytes).

newline
    The value TRUE is written here if a newline was read, else FALSE is written here.

RETURN VALUE
The length of the string scanned on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/